Package com.usatiuk.objects

# Interface JDataVersionedWrapper

All Superinterfaces:
  `Data<JDataVersionedWrapper>`, `MaybeTombstone<JDataVersionedWrapper>`

All Known Implementing Classes:
  `JDataVersionedWrapperImpl`, `JDataVersionedWrapperLazy`

public sealed interface JDataVersionedWrapper extends Data<JDataVersionedWrapper> permits JDataVersionedWrapperLazy, JDataVersionedWrapperImpl

## Method Summary

Modifier and Type
Method
Description
`JData`
`data()`
`int`
`estimateSize()`
`default JDataVersionedWrapper`
`value()`
`long`
`version()`

## Method Details

### value

default JDataVersionedWrapper value()

Specified by:
  `value` in interface `Data<JDataVersionedWrapper>`

### data

JData data()

### version

long version()

### estimateSize

int estimateSize()